const chalk = require('chalk');
const format = require('util').format;
const seuiLabel = chalk.inverse("SEUI");

module.exports = {
    info(msg) {
        console.log(`[${chalk.green(seuiLabel)}] ${msg}`);
    },

    success(msg) {
        console.log(chalk.green(`[${seuiLabel}] ${msg}`));
    },

    warn(msg) {
        console.log(chalk.yellow(`[${seuiLabel}] ${msg}`));
    },

    error(...args) {
        if (args[0] instanceof Error) args[0] = args[0].message.trim();
        const msg = format.apply(format, args);
        console.log(chalk.red(`[${seuiLabel}] ${msg}`));
    },

    fatal(...args) {
        if (args[0] instanceof Error) args[0] = args[0].message.trim();
        const msg = format.apply(format, args);
        console.log(chalk.red(`[${seuiLabel}] ${msg}`));
        console.log();
        process.exit()
    },

    sep() {
        console.log();
    }
};
